/*
	tokenscan.h - token scanning library stuff
*/


typedef	struct TSScanner	TSScanner;

struct TSScanner
{
	void	(*scanInit) ();
	char	*(*scanScan) ();
	char	*scanDelim;
	char	*scanQuote;
	char	*scanEscape;
};


void	TSScanInit ();
char	*TSScan ();
void	TSSetScanner ();
void	TSGetScanner ();
void	TSSetScanPos ();
char	*TSGetScanPos ();
int	TSIsScanDelim ();
int	TSIsScanQuote ();
int	TSIsScanEscape ();
